=== debian/changelog ===
deepin-movie-reborn (5.10.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:44:01 +0800

deepin-movie-reborn (5.10.0) unstable; urgency=medium

  * New version 5.10.0.

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:08:00 +0800
