=== debian/control ===
Source: deepin-movie-reborn
Section: libdevel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper, cmake, pkg-config, qttools5-dev-tools,
                libqt5svg5-dev, qtmultimedia5-dev, qttools5-dev,
                libqt5x11extras5-dev, libdtkcore5-bin, libdtkwidget-dev,
                libqt5sql5-sqlite,
                libmpv-dev, libxcb1-dev, libxcb-util0-dev,
                libffmpegthumbnailer-dev,
                libxcb-shape0-dev,libxcb-ewmh-dev, xcb-proto,
                x11proto-record-dev, libxtst-dev,
                libavcodec-dev, libavformat-dev,libavutil-dev,
                libpulse-dev, libdvdnav-dev, libgsettings-qt-dev,
                libmpris-qt5-dev, libdbusextended-qt5-dev, libva-dev,
                libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org/

Package: deepin-movie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, va-driver-all, libavcodec58(>= 7:4.0), libavformat58(>= 7:4.1), libavutil56(>= 7:4.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29), libpulse0(>= 0.99.1), libqt5concurrent5, libmpris-qt5-1, libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Recommends: libgpuinfo, uos-reporter, deepin-event-log
Description: movie player
 Movie is a full-featured video player, supporting playing local and streaming media in multiple video formats.

Package: libdmr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libavcodec58(>= 7:4.0), libavformat58(>= 7:4.1), libavutil56(>= 7:4.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29), libpulse0(>= 0.99.1), libqt5concurrent5, libmpris-qt5-1, libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Multi-Arch: same
Description: movie player widget library 
 deepin movie player widget library

Package: libdmr-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmr(=${binary:Version}), libgsettings-qt-dev
Description: movie player widget library development headers
 deepin movie player widget library development headers
