=== debian/changelog ===
deepin-movie-reborn (5.10.17-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 02 Dec 2022 11:13:41 +0800
