=== debian/changelog ===
deepin-movie-reborn (5.10.22-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:22:49 +0800

deepin-movie-reborn (5.10.22) unstable; urgency=medium

  * New version 5.10.22.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 09 Feb 2023 09:18:46 +0800

deepin-movie-reborn (5.10.21) unstable; urgency=medium

  * New version 5.10.21.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 09 Jan 2023 13:10:20 +0800

deepin-movie-reborn (5.10.19) unstable; urgency=medium

  * New version 5.10.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 27 Dec 2022 16:49:20 +0800
