=== debian/changelog ===
deepin-movie-reborn (5.10.38-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 14 Dec 2023 20:00:01 +0800

deepin-movie-reborn (5.10.38) unstable; urgency=medium

  * NNew version 5.10.38.

 -- muyuankai <muyuankai@uniontech.com>  Thu, 14 Dec 2023 13:31:33 +0800

deepin-movie-reborn (5.10.37) unstable; urgency=medium

  * NNew version 5.10.37.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 27 Nov 2023 10:17:45 +0800

deepin-movie-reborn (5.10.36) unstable; urgency=medium

  * New version 5.10.36.

 -- liuqingfu <liuqingfu@uniontech.com>  Fri, 03 Nov 2023 15:11:38 +0800

deepin-movie-reborn (5.10.35) unstable; urgency=medium

  * New version 5.10.35.

 -- xiepengfei <xiepengfei@uniontech.com>  Tues, 17 Oct 2023 10:15:17 +0800

deepin-movie-reborn (5.10.34) unstable; urgency=medium

  * New version 5.10.34.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 13 Oct 2023 11:46:21 +0800

deepin-movie-reborn (5.10.33) unstable; urgency=medium

  * New version 5.10.33.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 31 Aug 2023 16:15:39 +0800

deepin-movie-reborn (5.10.32) unstable; urgency=medium

  * New version 5.10.32.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 04 Aug 2023 11:22:46 +0800

deepin-movie-reborn (5.10.31) unstable; urgency=medium

  * New version 5.10.31.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Jul 2023 10:10:21 +0800

deepin-movie-reborn (5.10.30) unstable; urgency=medium

  * New version 5.10.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Web, 19 Jul 2023 11:01:13 +0800

deepin-movie-reborn (5.10.29) unstable; urgency=medium

  * New version 5.10.29.

 -- xiepengfei <xiepengfei@uniontech.com>  Web, 12 Jul 2023 14:20:56 +0800

deepin-movie-reborn (5.10.28) unstable; urgency=medium

  * New version 5.10.28.

 -- muyuankai <muyuankai@uniontech.com>  Web, 07 Jun 2023 11:42:45 +0800

deepin-movie-reborn (5.10.27) unstable; urgency=medium

  * New version 5.10.27.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 08 May 2023 15:50:21 +0800

deepin-movie-reborn (5.10.26) unstable; urgency=medium

  * New version 5.10.26.

 -- xiepengfei <xiepengfei@uniontech.com>  Sun, 23 Apr 2023 16:20:15 +0800

deepin-movie-reborn (5.10.25) unstable; urgency=medium

  * New version 5.10.25.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 12 Apr 2023 10:03:46 +0800

deepin-movie-reborn (5.10.24) unstable; urgency=medium

  * New version 5.10.24.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 29 Mar 2023 14:05:32 +0800

deepin-movie-reborn (5.10.23) unstable; urgency=medium

  * New version 5.10.23.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 23 Feb 2023 10:21:46 +0800
