=== debian/changelog ===
deepin-movie-reborn (5.15.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112834)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Oct 2025 22:15:23 +0300

deepin-movie-reborn (5.15.10-3) unstable; urgency=medium

  * debian/control: Revert last change. (Closes: #1101846)

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Apr 2025 10:10:34 -0400

deepin-movie-reborn (5.15.10-2) unstable; urgency=medium

  * debian/control: Add missing build-dep libdisplay-info-dev.
    (Closes: #1101846)

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Apr 2025 19:19:53 -0400

deepin-movie-reborn (5.15.10-1) unstable; urgency=medium

  * New upstream release. (Closes: #1096240)
  * debian/deepin-movie.install: Updated.
  * debian/patches: Drop old patch (001, 002, 006).

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Feb 2025 18:55:40 -0500

deepin-movie-reborn (5.10.8-3) unstable; urgency=medium

  [ Arun Kumar Pariyar ]
  * Fix ftbfs with ffmpeg 7 (Closes: #1078277).
  * Fix ts file regeneration in double-build (Closes: #1045091).
  * Add debian/clean with generated qm files.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-record-dev with replacement x11proto-dev.

 -- Arun Kumar Pariyar <arun@debian.org>  Mon, 16 Sep 2024 03:20:17 +0545

deepin-movie-reborn (5.10.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change hardcoded dependency to libqt5concurrent5t64 instead of
    libqt5concurrent5. Closes: #1068224

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Apr 2024 13:23:59 +0200

deepin-movie-reborn (5.10.8-2) unstable; urgency=medium

  * debian/control:
    + Drop version constraints on libpulse0 and libqt5concurrent5.
    + Replace hardcoded shared library libmpv with ${libmpv:Depends}.
  * debian/rules:
    + Add mpv shared library using dh_shlibdeps-arch. (Closes #1025008)

 -- Arun Kumar Pariyar <arun@debian.org>  Thu, 01 Dec 2022 04:57:34 +0545
