=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
export DEB_CXXFLAGS_MAINT_APPEND = -Wl,-z,now
export QT_SELECT := 5
mpvpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libmpv-dev | cut -d ' ' -f1)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

execute_after_dh_shlibdeps-arch:
	echo libmpv:Depends=$(mpvpkgname) >> debian/deepin-movie.substvars
	echo libmpv:Depends=$(mpvpkgname) >> debian/libdmr0.1.substvars
