=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-movie-reborn-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-movie-reborn/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
