## deepin-movie-reborn 6.0.10

=== debian/changelog ===
deepin-movie-reborn (6.0.10) unstable; urgency=medium

  * New version 6.0.10. 

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 04 Jul 2024 16:03:18 +0800

deepin-movie-reborn (6.0.9) unstable; urgency=medium

  * New version 6.0.9.

 -- muyuankai <muyuankai@uniontech.com>  Wed, 26 Jun 2024 16:09:09 +0800

deepin-movie-reborn (6.0.8) unstable; urgency=medium

  * New version 6.0.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 28 May 2024 15:04:22 +0800

deepin-movie-reborn (6.0.7) unstable; urgency=medium

  * New version 6.0.7.

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 16:12:30 +0800

deepin-movie-reborn (6.0.6) unstable; urgency=medium

  * New version 6.0.6.

 -- muyuankai <muyuankai@uniontech.com>  Tue, 16 Jan 2024 11:42:05 +0800

deepin-movie-reborn (6.0.5) unstable; urgency=medium

  * New version 6.0.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 06 Feb 2023 14:20:00 +0800

deepin-movie-reborn (6.0.4) unstable; urgency=medium

  * New version 6.0.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 06 Feb 2023 10:40:00 +0800
